Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jk.common
Class HandlerRequest

    java.lang.Object
      org.apache.jk.core.JkHandler
          org.apache.jk.common.HandlerRequest

All Implemented Interfaces:
  java.util.EventListener, javax.management.MBeanRegistration, javax.management.NotificationListener

public class HandlerRequest
extends JkHandler

Handle messages related with basic request information. This object can handle the following incoming messages: - "FORWARD_REQUEST" input message ( sent when a request is passed from the web server ) - "RECEIVE_BODY_CHUNK" input ( sent by container to pass more body, in response to GET_BODY_CHUNK ) It can handle the following outgoing messages: - SEND_HEADERS. Pass the status code and headers. - SEND_BODY_CHUNK. Send a chunk of body - GET_BODY_CHUNK. Request a chunk of body data - END_RESPONSE. Notify the end of a request processing.

Author:
  Henri Gomez [hgomez@apache.org], Dan Milstein [danmil@shore.net], Keith Wannamaker [Keith@Wannamaker.org], Costin Manolache

Field Summary
`static java.lang.String[]` | `headerTransArray`
`static int` | `HOSTBUFFER`
`static byte` | `JK_AJP13_CPING_REQUEST`
`static byte` | `JK_AJP13_CPONG_REPLY`
`static byte` | `JK_AJP13_END_RESPONSE`
`static byte` | `JK_AJP13_FORWARD_REQUEST`
`static byte` | `JK_AJP13_GET_BODY_CHUNK`
`static byte` | `JK_AJP13_PING_REQUEST`
`static byte` | `JK_AJP13_SEND_BODY_CHUNK`
`static byte` | `JK_AJP13_SEND_HEADERS`
`static byte` | `JK_AJP13_SHUTDOWN`
`static java.lang.String[]` | `methodTransArray`
`static byte` | `SC_A_ARE_DONE`
`static byte` | `SC_A_AUTH_TYPE`
`static byte` | `SC_A_CONTEXT`
`static byte` | `SC_A_JVM_ROUTE`
`static byte` | `SC_A_QUERY_STRING`
`static byte` | `SC_A_REMOTE_USER`
`static byte` | `SC_A_REQ_ATTRIBUTE`
`static byte` | `SC_A_SECRET`
`static byte` | `SC_A_SERVLET_PATH`
`static byte` | `SC_A_SSL_CERT`
`static byte` | `SC_A_SSL_CIPHER`
`static byte` | `SC_A_SSL_KEY_SIZE`
`static byte` | `SC_A_SSL_KEYSIZE`
`static byte` | `SC_A_SSL_SESSION`
`static byte` | `SC_A_STORED_METHOD`
`static int` | `SC_M_JK_STORED`
`static int` | `SC_REQ_ACCEPT`
`static int` | `SC_REQ_ACCEPT_CHARSET`
`static int` | `SC_REQ_ACCEPT_ENCODING`
`static int` | `SC_REQ_ACCEPT_LANGUAGE`
`static int` | `SC_REQ_AUTHORIZATION`
`static int` | `SC_REQ_CONNECTION`
`static int` | `SC_REQ_CONTENT_LENGTH`
`static int` | `SC_REQ_CONTENT_TYPE`
`static int` | `SC_REQ_COOKIE`
`static int` | `SC_REQ_COOKIE2`
`static int` | `SC_REQ_HOST`
`static int` | `SC_REQ_PRAGMA`
`static int` | `SC_REQ_REFERER`
`static int` | `SC_REQ_USER_AGENT`
`static int` | `SC_RESP_CONTENT_LANGUAGE`
`static int` | `SC_RESP_CONTENT_LENGTH`
`static int` | `SC_RESP_CONTENT_TYPE`
`static int` | `SC_RESP_DATE`
`static int` | `SC_RESP_LAST_MODIFIED`
`static int` | `SC_RESP_LOCATION`
`static int` | `SC_RESP_SERVLET_ENGINE`
`static int` | `SC_RESP_SET_COOKIE`
`static int` | `SC_RESP_SET_COOKIE2`
`static int` | `SC_RESP_STATUS`
`static int` | `SC_RESP_WWW_AUTHENTICATE`

Fields inherited from class org.apache.jk.core.JkHandler
`domain, ERROR, HANDLE_FLUSH, HANDLE_RECEIVE_PACKET, HANDLE_SEND_PACKET, HANDLE_THREAD_END, id, LAST, mserver, name, next, nextName, OK, oname, properties, wEnv`

Constructor Summary
`HandlerRequest()`

Method Summary
`boolean` | `getRegisterRequests()` Get the flag to tell if we JMX register requests.
`void` | `init()` Should register the request types it can handle, same style as apache2.
`int` | `invoke(Msg msg, MsgContext ep)`
`boolean` | `isTomcatAuthentication()`
`void` | `setAjpidDir(java.lang.String path)`
`void` | `setDecodedUri(boolean b)`
`void` | `setRegisterRequests(boolean srr)` Set the flag to tell if we JMX register requests.
`void` | `setSecret(java.lang.String s)`
`void` | `setTomcatAuthentication(boolean newTomcatAuthentication)`
`void` | `setUseSecret(boolean b)`

Methods inherited from class org.apache.jk.core.JkHandler
`addHandlerCallback, createMsgContext, destroy, getDomain, getId, getName, getNext, getObjectName, getProperty, handleNotification, pause, postDeregister, postRegister, preDeregister, preRegister, resume, setId, setName, setNext, setNext, setProperty, setWorkerEnv`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### JK_AJP13_FORWARD_REQUEST

    public static final byte JK_AJP13_FORWARD_REQUEST

See Also:
  Constant Field Values

### JK_AJP13_SHUTDOWN

    public static final byte JK_AJP13_SHUTDOWN

See Also:
  Constant Field Values

### JK_AJP13_PING_REQUEST

    public static final byte JK_AJP13_PING_REQUEST

See Also:
  Constant Field Values

### JK_AJP13_CPING_REQUEST

    public static final byte JK_AJP13_CPING_REQUEST

See Also:
  Constant Field Values

### JK_AJP13_SEND_BODY_CHUNK

    public static final byte JK_AJP13_SEND_BODY_CHUNK

See Also:
  Constant Field Values

### JK_AJP13_SEND_HEADERS

    public static final byte JK_AJP13_SEND_HEADERS

See Also:
  Constant Field Values

### JK_AJP13_END_RESPONSE

    public static final byte JK_AJP13_END_RESPONSE

See Also:
  Constant Field Values

### JK_AJP13_GET_BODY_CHUNK

    public static final byte JK_AJP13_GET_BODY_CHUNK

See Also:
  Constant Field Values

### JK_AJP13_CPONG_REPLY

    public static final byte JK_AJP13_CPONG_REPLY

See Also:
  Constant Field Values

### SC_RESP_CONTENT_TYPE

    public static final int SC_RESP_CONTENT_TYPE

See Also:
  Constant Field Values

### SC_RESP_CONTENT_LANGUAGE

    public static final int SC_RESP_CONTENT_LANGUAGE

See Also:
  Constant Field Values

### SC_RESP_CONTENT_LENGTH

    public static final int SC_RESP_CONTENT_LENGTH

See Also:
  Constant Field Values

### SC_RESP_DATE

    public static final int SC_RESP_DATE

See Also:
  Constant Field Values

### SC_RESP_LAST_MODIFIED

    public static final int SC_RESP_LAST_MODIFIED

See Also:
  Constant Field Values

### SC_RESP_LOCATION

    public static final int SC_RESP_LOCATION

See Also:
  Constant Field Values

### SC_RESP_SET_COOKIE

    public static final int SC_RESP_SET_COOKIE

See Also:
  Constant Field Values

### SC_RESP_SET_COOKIE2

    public static final int SC_RESP_SET_COOKIE2

See Also:
  Constant Field Values

### SC_RESP_SERVLET_ENGINE

    public static final int SC_RESP_SERVLET_ENGINE

See Also:
  Constant Field Values

### SC_RESP_STATUS

    public static final int SC_RESP_STATUS

See Also:
  Constant Field Values

### SC_RESP_WWW_AUTHENTICATE

    public static final int SC_RESP_WWW_AUTHENTICATE

See Also:
  Constant Field Values

### SC_A_CONTEXT

    public static final byte SC_A_CONTEXT

See Also:
  Constant Field Values

### SC_A_SERVLET_PATH

    public static final byte SC_A_SERVLET_PATH

See Also:
  Constant Field Values

### SC_A_REMOTE_USER

    public static final byte SC_A_REMOTE_USER

See Also:
  Constant Field Values

### SC_A_AUTH_TYPE

    public static final byte SC_A_AUTH_TYPE

See Also:
  Constant Field Values

### SC_A_QUERY_STRING

    public static final byte SC_A_QUERY_STRING

See Also:
  Constant Field Values

### SC_A_JVM_ROUTE

    public static final byte SC_A_JVM_ROUTE

See Also:
  Constant Field Values

### SC_A_SSL_CERT

    public static final byte SC_A_SSL_CERT

See Also:
  Constant Field Values

### SC_A_SSL_CIPHER

    public static final byte SC_A_SSL_CIPHER

See Also:
  Constant Field Values

### SC_A_SSL_SESSION

    public static final byte SC_A_SSL_SESSION

See Also:
  Constant Field Values

### SC_A_SSL_KEYSIZE

    public static final byte SC_A_SSL_KEYSIZE

See Also:
  Constant Field Values

### SC_A_SECRET

    public static final byte SC_A_SECRET

See Also:
  Constant Field Values

### SC_A_STORED_METHOD

    public static final byte SC_A_STORED_METHOD

See Also:
  Constant Field Values

### SC_A_REQ_ATTRIBUTE

    public static final byte SC_A_REQ_ATTRIBUTE

See Also:
  Constant Field Values

### SC_A_ARE_DONE

    public static final byte SC_A_ARE_DONE

See Also:
  Constant Field Values

### methodTransArray

    public static final java.lang.String[] methodTransArray

### SC_M_JK_STORED

    public static final int SC_M_JK_STORED

See Also:
  Constant Field Values

### SC_REQ_ACCEPT

    public static final int SC_REQ_ACCEPT

See Also:
  Constant Field Values

### SC_REQ_ACCEPT_CHARSET

    public static final int SC_REQ_ACCEPT_CHARSET

See Also:
  Constant Field Values

### SC_REQ_ACCEPT_ENCODING

    public static final int SC_REQ_ACCEPT_ENCODING

See Also:
  Constant Field Values

### SC_REQ_ACCEPT_LANGUAGE

    public static final int SC_REQ_ACCEPT_LANGUAGE

See Also:
  Constant Field Values

### SC_REQ_AUTHORIZATION

    public static final int SC_REQ_AUTHORIZATION

See Also:
  Constant Field Values

### SC_REQ_CONNECTION

    public static final int SC_REQ_CONNECTION

See Also:
  Constant Field Values

### SC_REQ_CONTENT_TYPE

    public static final int SC_REQ_CONTENT_TYPE

See Also:
  Constant Field Values

### SC_REQ_CONTENT_LENGTH

    public static final int SC_REQ_CONTENT_LENGTH

See Also:
  Constant Field Values

### SC_REQ_COOKIE

    public static final int SC_REQ_COOKIE

See Also:
  Constant Field Values

### SC_REQ_COOKIE2

    public static final int SC_REQ_COOKIE2

See Also:
  Constant Field Values

### SC_REQ_HOST

    public static final int SC_REQ_HOST

See Also:
  Constant Field Values

### SC_REQ_PRAGMA

    public static final int SC_REQ_PRAGMA

See Also:
  Constant Field Values

### SC_REQ_REFERER

    public static final int SC_REQ_REFERER

See Also:
  Constant Field Values

### SC_REQ_USER_AGENT

    public static final int SC_REQ_USER_AGENT

See Also:
  Constant Field Values

### SC_A_SSL_KEY_SIZE

    public static final byte SC_A_SSL_KEY_SIZE

See Also:
  Constant Field Values

### headerTransArray

    public static final java.lang.String[] headerTransArray

### HOSTBUFFER

    public static final int HOSTBUFFER

See Also:
  Constant Field Values

Constructor Detail

### HandlerRequest

    public HandlerRequest()

Method Detail

### init

    public void init()

  Description copied from class: `JkHandler`
  Should register the request types it can handle, same style as apache2.

  Overrides:
    `init` in class `JkHandler`

### setSecret

    public void setSecret(java.lang.String s)

### setUseSecret

    public void setUseSecret(boolean b)

### setDecodedUri

    public void setDecodedUri(boolean b)

### isTomcatAuthentication

    public boolean isTomcatAuthentication()

### setTomcatAuthentication

    public void setTomcatAuthentication(boolean newTomcatAuthentication)

### setAjpidDir

    public void setAjpidDir(java.lang.String path)

### setRegisterRequests

    public void setRegisterRequests(boolean srr)

  Set the flag to tell if we JMX register requests.

### getRegisterRequests

    public boolean getRegisterRequests()

  Get the flag to tell if we JMX register requests.

### invoke

    public int invoke(Msg msg,
                      MsgContext ep)
               throws java.io.IOException

  Overrides:
    `invoke` in class `JkHandler`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.